/*  Shows how to create a local inner class:
 * Create a new action listener class inside of the FilledFrame class and
 * add an instance of it to our button. Note: Methods of inner classss can 
 * access the instance variables and methods of the surrounding class.
 */
package example5;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class FilledFrame extends JFrame {

    JButton button;
    private JLabel label;
    private static final int FRAME_WIDTH = 300;
    private static final int FRAME_HEIGHT = 200;

    class ClickListener implements ActionListener {

        public void actionPerformed(ActionEvent event) {
            label.setText("I was clicked");
        }
    }

    public FilledFrame() {
        super("My Frame");
        createComponents();
        this.setSize(FRAME_WIDTH, FRAME_HEIGHT);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);
    }

    public void createComponents() {
        button = new JButton("Press me");
        label = new JLabel("I'm a Label");
        button.addActionListener(new ClickListener());
        JPanel panel = new JPanel();
        panel.setBackground(Color.red);
        panel.add(button);
        panel.add(label);
        this.add(panel);
    }

    public static void main(String[] args) {
        FilledFrame frame = new FilledFrame();
    }
}