package example8;

/**
 * A component for drawing with mouse clicks
 */
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Point;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.util.ArrayList;
import javax.swing.JComponent;

public class DrawArea extends JComponent {

    private int x = 0;
    private int y = 0;
    ArrayList<Point> ovals = new ArrayList<Point>();

    public DrawArea() {
        this.addMouseListener(new MouseController());
    }

    public void paintComponent(Graphics g) {
        g.setColor(Color.blue);
        for (Point p : ovals) {
            g.fillOval(p.x, p.y, 20, 20);
        }
    }

    class MouseController extends MouseAdapter {

        public void mouseClicked(MouseEvent event) {
            ovals.add(event.getPoint());
            System.out.println("Mouse clicked " + event.getPoint());
            repaint();
        }
    }
}
